Summary: packet-sniffer/logger
Name: snort
Version: 1.7
Release: 3
Copyright: GPL
Group: Applications/Internet
Source0:  http://www.snort.org/Files/%{name}-%{version}.tar.gz
Source1: snort-stat
Source2: snortlog
Url: http://www.snort.org
BuildRoot: /var/tmp/%{name}-root
Prefix: /usr
Requires: libpcap >= 0.4
BuildRequires: libpcap >= 0.4

%description
Snort is a libpcap-based packet sniffer/logger which 
can be used as a lightweight network intrusion detection system. 
It features rules based logging and can perform protocol analysis, 
content searching/matching and can be used to detect a variety of 
attacks and probes, such as buffer overflows, stealth port scans, 
CGI attacks, SMB probes, OS fingerprinting attempts, and much more. 
Snort has a real-time alerting capabilty, with alerts being sent to syslog, 
a seperate "alert" file, or as a WinPopup message via Samba's smbclient


%prep
%setup -q 

%build
CFLAGS="$RPM_OPT_FLAGS" \
%configure --prefix=/usr --bindir=/usr/sbin --sysconfdir=/etc/snort --enable-smbalerts --without-mysql --without-odbc --without-postgresql --without-oracle --with-openssl=/usr
make

%install
if [ "$RPM_BUILD_ROOT" = "/var/tmp/snort-root" ]; then
	rm -rf $RPM_BUILD_ROOT
	mkdir -p $RPM_BUILD_ROOT/usr/bin
	mkdir -p $RPM_BUILD_ROOT/usr/sbin
	mkdir -p $RPM_BUILD_ROOT/usr/share/man/man{1,2,3,4,5,6,7,8,9,n}
	mkdir -p $RPM_BUILD_ROOT/etc/snort
	mkdir -p $RPM_BUILD_ROOT/var/log/snort
	make DESTDIR=$RPM_BUILD_ROOT install
	sed -e 's;include ;include /etc/snort/;' < snort.conf > snort.conf.new
	rm -f snort.conf
	mv snort.conf.new snort.conf
	install *.conf $RPM_BUILD_ROOT/etc/snort 
	install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/usr/bin
	mkdir -p $RPM_BUILD_ROOT/usr/doc
else
	echo Invalid Build root
	exit 1
fi

%clean
if [ "$RPM_BUILD_ROOT" = "/var/tmp/snort-root" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi
						


%files
%defattr(-,root,root)
%attr(644,root,root)       /etc/snort/*
%attr(755,root,root)       /usr/sbin/*
%attr(755,root,root) 	   /usr/bin/*
%attr(644,root,root)       /usr/share/man/man?/*
%attr(755,root,root)  %dir /var/log/snort
%doc AUTHORS BUGS COPYING CREDITS ChangeLog INSTALL NEWS README* USAGE

%changelog
* Fri Mar  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against openssl-0.9.6-1

* Mon Jan 08 2001 Karsten Hopp <karsten@redhat.de>
- removed support for oracle, postgresql, mysql, odbc to avoid dependancies
- added openssl support

* Sun Jan 07 2001 Karsten Hopp <karsten@redhat.de>
- added missing manpage

* Sun Jan 07 2001 Karsten Hopp <karsten@redhat.de>
- update to version 1.7.0

* Mon Sep 04 2000 Karsten Hopp <karsten@redhat.de>
- initial build for Red Hat, %%configure

* Tue Mar 28 2000 William Stearns <wstearns@pobox.com>
- Quick update to 1.6.
- Sanity checks before doing rm-rf in install and clean

* Fri Dec 10 1999 Henri Gomez <gomez@slib.fr>
- 1.5-0
  Initial RPM release
